com.aliyun.svideosdk.common.struct.project

## Class EffectTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack

- Direct Known Subclasses:
    Filter, MVFilter, TimeFilter

      public class EffectTrack
      extends Track

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EffectTrack.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mTimelineIn` The time when the effect appears on the stream timeline.
    `protected float` | `mTimelineOut` The time when the effect disappears on the stream timeline.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getTimelineIn()` Gets the time when the effect appears on the stream timeline.
    `float` | `getTimelineOut()` Gets the time when the effect disappears on the stream timeline.
    `EffectTrack.Type` | `getType()` Gets the effect type.
    `void` | `setTimelineIn(float timelineIn)` Sets the time when the effect appears on the stream timeline.
    `void` | `setTimelineOut(float timelineOut)` Sets the time when the effect disappears on the stream timeline.
    `void` | `setType(EffectTrack.Type type)` Sets the effect type.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mTimelineIn

          protected float mTimelineIn

      The time when the effect appears on the stream timeline. Unit: second. Accurate to 4 decimal places.

    - #### mTimelineOut

          protected float mTimelineOut

      The time when the effect disappears on the stream timeline. Unit: second. Accurate to 4 decimal places.

  - ### Constructor Detail

    - #### EffectTrack

          public EffectTrack()

  - ### Method Detail

    - #### getType

          public EffectTrack.Type getType()

      Gets the effect type.
      Returns:
        effect type

    - #### setType

          public void setType(EffectTrack.Type type)

      Sets the effect type.
      Parameters:
        `type` - effect type

    - #### getTimelineIn

          public float getTimelineIn()

      Gets the time when the effect appears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Returns:
        timeline in

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      Sets the time when the effect appears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `timelineIn` - timeline in

    - #### getTimelineOut

          public float getTimelineOut()

      Gets the time when the effect disappears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Returns:
        timeline out

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      Sets the time when the effect disappears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `timelineOut` - timeline out